# Configuration

## 1. Files change

{% hint style="info" %}
Change the icon of the discord invite button, you can find the icon on this path:\ <mark style="color:blue;">**vms\_pausemenu/html/icons/vms.png**</mark>
{% endhint %}

## 2. config.lua

**I**. If your server retrieves the player's first and last name using `xPlayer.getName()` set **false**, otherwise if it is retrieved using the database column 'firstname' and 'lastname' from the `users` table set **true**.

```lua
Config.names_users = true -- true / false
```

**II**. Change the information displayed to the player when leaving the server.

```lua
Config.DisconnectReason = "vames.tebex.io - Thanks for game, see you soon..."
```

**III**. Replace pausemenu functions.

```lua
Config.Actions = {
    inventory = function()
        exports["inventory"]:showInventory()
    end,
    report = function()
        exports["prp_reports"]:showReports()
    end,
}
```

**IV**. Replace links to your server tebex store and discord invite.

```lua
Config.ShopLink = "https://vames.tebex.io/"
Config.DiscordLink = "https://discord.com/invite/mnXxXxhcPd"
```

## 3. Blocking use pausemenu in other scripts

This is how you can block a player from opening a pausemenu

```lua
exports["vms_pausemenu"]:canOpen(false)
```

If you have deactivated the possibility to open the pausemenu, after the end of the loop or after the end of the action in which the pausemenu is to be blocked, you must re-enable it with this export

```lua
exports["vms_pausemenu"]:canOpen(true)
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.vames-store.com/outdated/vms_pausemenu/configuration.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
